hswaw - Bugless #25

cmc-proxy: cannot access blade2 on servers in hspsh
02/15/2021 11:05 PM - g3k

Status: Assigned
Priority: Normal
Assignee: g3k
Category: hscloud
Description

This happens when yasiu attempts to use cmc-proxy to get to the second blade's KVM details (newlines added by me):

E0215 23:58:55.329196 72146 main.go:42] RequestKVMDetails(_, 2):

GET to cgi-bin/webcgi/login failed:

Get "https://192.168.0.3/cgi-bin/webcgi/blade_iDRAC_url?vKVM=1l&serverSlot=2":

failed to parse Location header "https://192.168.0.101:443&mode=directKVM&user_agent="Go-http-cli
ent/1.1"":

parse "https://192.168.0.101:443&mode=directKVM&user_agent="Go-http-client/1.1"":

invalid port ":443&mode=directKVM&user_agent="Go-http-client" after host

CMC says the following about this blade:

iDRAC Firmware: 3.85 (Build 3)
CPLD Version: 1.0.2
BIOS Versions: 2.19

History

#1 - 02/16/2021 07:49 AM - g3k

After some more investigation yesterday it seems that this can manifest on subsequent accesses to the same blade, but restarting CMC (and | guess
losing the web session?) helps.

#2 - 07/04/2022 01:08 PM - q3k
- Category set to hscloud
